Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[1.8] Adding NEI to Dev Environment


zerofall
 Share

Recommended Posts

I have a custom GUI with a crafting grid in my mod, and I wanted to integrate NEI shift-clicking.

 

I downloaded the recommended "dev" jars of CCC and NEI from here:

 

http://chickenbones.net/Pages/links.html

 

I added them to the "lib" folder of my project, and I also added them to the "mods" folder of my instance. Now when I try to run the project, I get errors just like this (not my log, but exact same problem):

 

https://gist.github.com/OrionDevelopment/76baa2bc12ae70a85559

 

Am I doing this incorrectly?

Link to comment
Share on other sites

Use gradle to fetch everything for you.

 

Add this to your build.gradle (you need to change the versions as they come from a property file for me):

dependencies {
    compile "codechicken:CodeChickenLib:${config.minecraft_version}-${config.codechickenlib_version}:dev"
    compile "codechicken:CodeChickenCore:${config.minecraft_version}-${config.codechickencore_version}:dev"
    compile "codechicken:ForgeMultipart:${config.minecraft_version}-${config.forgemultipart_version}:dev"
    compile "codechicken:NotEnoughItems:${config.minecraft_version}-${config.notenoughitems_version}:dev"
}

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.